<?php

$mehndi_tattoo_artist_tp_theme_css = '';

$mehndi_tattoo_artist_tp_color_option = get_theme_mod('mehndi_tattoo_artist_tp_color_option');

// 1st color
$mehndi_tattoo_artist_tp_color_option = get_theme_mod('mehndi_tattoo_artist_tp_color_option', '#EC5598');
if ($mehndi_tattoo_artist_tp_color_option) {
	$mehndi_tattoo_artist_tp_theme_css .= ':root {';
	$mehndi_tattoo_artist_tp_theme_css .= '--color-primary1: ' . esc_attr($mehndi_tattoo_artist_tp_color_option) . ';';
	$mehndi_tattoo_artist_tp_theme_css .= '}';
}

//preloader
$mehndi_tattoo_artist_tp_preloader_color1_option = get_theme_mod('mehndi_tattoo_artist_tp_preloader_color1_option');
$mehndi_tattoo_artist_tp_preloader_color2_option = get_theme_mod('mehndi_tattoo_artist_tp_preloader_color2_option');
$mehndi_tattoo_artist_tp_preloader_bg_color_option = get_theme_mod('mehndi_tattoo_artist_tp_preloader_bg_color_option');

if($mehndi_tattoo_artist_tp_preloader_color1_option != false){
$mehndi_tattoo_artist_tp_theme_css .='.center1{';
	$mehndi_tattoo_artist_tp_theme_css .='border-color: '.esc_attr($mehndi_tattoo_artist_tp_preloader_color1_option).' !important;';
$mehndi_tattoo_artist_tp_theme_css .='}';
}
if($mehndi_tattoo_artist_tp_preloader_color1_option != false){
$mehndi_tattoo_artist_tp_theme_css .='.center1 .ring::before{';
	$mehndi_tattoo_artist_tp_theme_css .='background: '.esc_attr($mehndi_tattoo_artist_tp_preloader_color1_option).' !important;';
$mehndi_tattoo_artist_tp_theme_css .='}';
}
if($mehndi_tattoo_artist_tp_preloader_color2_option != false){
$mehndi_tattoo_artist_tp_theme_css .='.center2{';
	$mehndi_tattoo_artist_tp_theme_css .='border-color: '.esc_attr($mehndi_tattoo_artist_tp_preloader_color2_option).' !important;';
$mehndi_tattoo_artist_tp_theme_css .='}';
}
if($mehndi_tattoo_artist_tp_preloader_color2_option != false){
$mehndi_tattoo_artist_tp_theme_css .='.center2 .ring::before{';
	$mehndi_tattoo_artist_tp_theme_css .='background: '.esc_attr($mehndi_tattoo_artist_tp_preloader_color2_option).' !important;';
$mehndi_tattoo_artist_tp_theme_css .='}';
}
if($mehndi_tattoo_artist_tp_preloader_bg_color_option != false){
$mehndi_tattoo_artist_tp_theme_css .='.loader{';
	$mehndi_tattoo_artist_tp_theme_css .='background: '.esc_attr($mehndi_tattoo_artist_tp_preloader_bg_color_option).';';
$mehndi_tattoo_artist_tp_theme_css .='}';
}

// footer-bg-color
$mehndi_tattoo_artist_tp_footer_bg_color_option = get_theme_mod('mehndi_tattoo_artist_tp_footer_bg_color_option');

if($mehndi_tattoo_artist_tp_footer_bg_color_option != false){
$mehndi_tattoo_artist_tp_theme_css .='#footer{';
	$mehndi_tattoo_artist_tp_theme_css .='background: '.esc_attr($mehndi_tattoo_artist_tp_footer_bg_color_option).' !important;';
$mehndi_tattoo_artist_tp_theme_css .='}';
}

// logo tagline color
$mehndi_tattoo_artist_site_tagline_color = get_theme_mod('mehndi_tattoo_artist_site_tagline_color');

if($mehndi_tattoo_artist_site_tagline_color != false){
$mehndi_tattoo_artist_tp_theme_css .='.logo h1 a, .logo p a{';
$mehndi_tattoo_artist_tp_theme_css .='color: '.esc_attr($mehndi_tattoo_artist_site_tagline_color).';';
$mehndi_tattoo_artist_tp_theme_css .='}';
}

$mehndi_tattoo_artist_logo_tagline_color = get_theme_mod('mehndi_tattoo_artist_logo_tagline_color');
if($mehndi_tattoo_artist_logo_tagline_color != false){
$mehndi_tattoo_artist_tp_theme_css .='p.site-description{';
$mehndi_tattoo_artist_tp_theme_css .='color: '.esc_attr($mehndi_tattoo_artist_logo_tagline_color).';';
$mehndi_tattoo_artist_tp_theme_css .='}';
}

// footer widget title color
$mehndi_tattoo_artist_footer_widget_title_color = get_theme_mod('mehndi_tattoo_artist_footer_widget_title_color');
if($mehndi_tattoo_artist_footer_widget_title_color != false){
$mehndi_tattoo_artist_tp_theme_css .='#footer h3, #footer h2.wp-block-heading{';
$mehndi_tattoo_artist_tp_theme_css .='color: '.esc_attr($mehndi_tattoo_artist_footer_widget_title_color).';';
$mehndi_tattoo_artist_tp_theme_css .='}';
}

// copyright text color
$mehndi_tattoo_artist_footer_copyright_text_color = get_theme_mod('mehndi_tattoo_artist_footer_copyright_text_color');
if($mehndi_tattoo_artist_footer_copyright_text_color != false){
$mehndi_tattoo_artist_tp_theme_css .='#footer .site-info p, #footer .site-info a {';
$mehndi_tattoo_artist_tp_theme_css .='color: '.esc_attr($mehndi_tattoo_artist_footer_copyright_text_color).';';
$mehndi_tattoo_artist_tp_theme_css .='}';
}

// header image title color
$mehndi_tattoo_artist_header_image_title_text_color = get_theme_mod('mehndi_tattoo_artist_header_image_title_text_color');
if($mehndi_tattoo_artist_header_image_title_text_color != false){
$mehndi_tattoo_artist_tp_theme_css .='.box-text h2{';
$mehndi_tattoo_artist_tp_theme_css .='color: '.esc_attr($mehndi_tattoo_artist_header_image_title_text_color).';';
$mehndi_tattoo_artist_tp_theme_css .='}';
}

// menu color
$mehndi_tattoo_artist_menu_color = get_theme_mod('mehndi_tattoo_artist_menu_color');
if($mehndi_tattoo_artist_menu_color != false){
$mehndi_tattoo_artist_tp_theme_css .='.main-navigation a{';
$mehndi_tattoo_artist_tp_theme_css .='color: '.esc_attr($mehndi_tattoo_artist_menu_color).';';
$mehndi_tattoo_artist_tp_theme_css .='}';
}